public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgit2-glib/
Date: Sun,  3 Sep 2023 14:01:04 +0000 (UTC)	[thread overview]
Message-ID: <1693749659.fce4e69ea1925972129cd34aa26881b6964baf28.mattst88@gentoo> (raw)

commit:     fce4e69ea1925972129cd34aa26881b6964baf28
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Sun Sep  3 12:26:02 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Sep  3 14:00:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fce4e69e

dev-libs/libgit2-glib: Version bump to 1.2.0

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/32278
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/libgit2-glib/Manifest                  |  1 +
 dev-libs/libgit2-glib/libgit2-glib-1.2.0.ebuild | 62 +++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-libs/libgit2-glib/Manifest b/dev-libs/libgit2-glib/Manifest
index dc4789e2c233..17d388ed886f 100644
--- a/dev-libs/libgit2-glib/Manifest
+++ b/dev-libs/libgit2-glib/Manifest
@@ -1 +1,2 @@
 DIST libgit2-glib-1.1.0.tar.xz 140128 BLAKE2B e1e87fca17ec801059245c5687399f48886450f7ca7ea948f2179fed383543dec1b18b78abc3ec5581f570b488a166e1e03e99201385698877075be8b3205dbe SHA512 5e493b85a2bcbfea2a291e6dd243ee6948a31e7305c96c0bf04a750114de6ba3a06b435502eeae09bc1b91d34d5174e27bd4171fe969f1b376e820f82a3b5e1d
+DIST libgit2-glib-1.2.0.tar.xz 140576 BLAKE2B f49f808e7f97c45d7df49d780fdf036422b794e551f2e42d934b015fb227b1cb80d5067198a5ef7ac0539460bf6c0eab74025bcf367a0aebb43518448015e22e SHA512 37004e86c663ce5fe1bd54878b908575eb9195c1012e88e39c2efdb0b6cfa1de3d2ed9754cecc1b942d001698870025c87d95856f2a0a9f2d0dba1979b07b1f8

diff --git a/dev-libs/libgit2-glib/libgit2-glib-1.2.0.ebuild b/dev-libs/libgit2-glib/libgit2-glib-1.2.0.ebuild
new file mode 100644
index 000000000000..5ed7edcfdeef
--- /dev/null
+++ b/dev-libs/libgit2-glib/libgit2-glib-1.2.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit gnome.org meson python-r1 vala xdg
+
+DESCRIPTION="Git library for GLib"
+HOMEPAGE="https://wiki.gnome.org/Projects/Libgit2-glib"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="gtk-doc python +ssh +vala"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	>=dev-libs/gobject-introspection-1.54:=
+	>=dev-libs/glib-2.44.0:2
+	>=dev-libs/libgit2-0.26.0:0=[ssh?]
+	python? (
+		${PYTHON_DEPS}
+		dev-python/pygobject:3[${PYTHON_USEDEP}]
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig
+	gtk-doc? ( dev-util/gi-docgen )
+	vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+	default
+
+	sed -i -e '/meson_python_compile.py/d' meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use gtk-doc gtk_doc)
+		-Dintrospection=true
+		-Dpython=false # we install python scripts manually
+		$(meson_use ssh)
+		$(meson_use vala vapi)
+	)
+
+	use vala && vala_setup
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+
+	if use python ; then
+		python_moduleinto gi.overrides
+		python_foreach_impl python_domodule libgit2-glib/Ggit.py
+	fi
+}


             reply	other threads:[~2023-09-03 14:01 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-03 14:01 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-21  9:24 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgit2-glib/ Ionen Wolkens
2022-12-04 19:42 Matt Turner
2022-10-30  1:50 Matt Turner
2022-07-19  7:43 Michał Górny
2022-02-10 10:45 Jakov Smolić
2022-02-10 10:45 Jakov Smolić
2022-01-13  2:00 Georgy Yakovlev
2022-01-04 22:36 Georgy Yakovlev
2021-12-23 17:45 Matt Turner
2020-12-16 13:19 Michał Górny
2020-12-16 13:19 Michał Górny
2020-09-18  9:38 Michał Górny
2020-04-26 16:53 Michał Górny
2020-01-26 18:02 Mart Raudsepp
2019-08-19  4:29 Michał Górny
2019-08-18 21:51 Agostino Sarubbo
2019-08-16 22:38 Thomas Deutschmann
2019-08-15  6:29 Michał Górny
2019-07-31 11:03 Agostino Sarubbo
2019-06-08  8:00 Michał Górny
2019-05-26 11:37 Mikle Kolyada
2019-04-24  6:50 Michał Górny
2019-04-10 15:07 Michał Górny
2019-02-15 12:32 Michał Górny
2019-02-13 14:28 Michał Górny
2018-11-04  8:33 Michał Górny
2018-10-26  8:38 Michał Górny
2018-10-03  8:55 Michał Górny
2018-02-19 20:03 Mart Raudsepp
2018-02-06 18:36 Thomas Deutschmann
2018-01-26 15:03 Mikle Kolyada
2018-01-02  6:19 Michał Górny
2017-12-02  9:36 Michał Górny
2017-08-24 22:47 Gilles Dartiguelongue
2017-08-24  7:09 Michał Górny
2017-08-22 12:59 Mart Raudsepp
2017-08-22 12:59 Mart Raudsepp
2017-08-13 17:03 Gilles Dartiguelongue
2017-08-13 17:03 Gilles Dartiguelongue
2017-05-05 14:51 Manuel Rüger
2017-04-18 10:56 Mart Raudsepp
2016-11-20 14:01 Manuel Rüger
2016-09-09 22:55 Gilles Dartiguelongue
2016-09-05 22:37 Gilles Dartiguelongue
2016-04-05  4:35 Alexandre Rostovtsev
2016-03-06 16:43 Mikle Kolyada
2016-03-06  3:33 Alexandre Rostovtsev
2016-03-06  3:33 Alexandre Rostovtsev
2016-02-20 13:55 Pacho Ramos
2016-02-20 13:55 Pacho Ramos
2015-12-12 14:29 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693749659.fce4e69ea1925972129cd34aa26881b6964baf28.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox